Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext Member List

This is the complete list of members for eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext, including all inherited members.

$contentTypeGroupContext | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext | protected
$contentTypeService | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext | protected
__construct(Repository $repository, ContentTypeService $contentTypeService) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
assertContentTypeDoesntExistsByIdentifier($identifier) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
assertContentTypeExistsByIdentifier($identifier) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
assertContentTypeExistsByIdentifierOnGroup($identifier, $groupIdentifier) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
assignContentGroupTypeToContentType($contentType, $contentTypeGroup) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext | protected
checkContentTypeExistenceByIdentifier($identifier, $groupIdentifier=null) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext | protected
createContentType($groupIdentifier, $identifier, $fields) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
DEFAULT_GROUP | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
DEFAULT_LANGUAGE | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
ensureContentTypeDoesntExist($identifier) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
ensureContentTypeWithIndentifier( $identifier, TableNode $fields, $groupIdentifier=self::DEFAULT_GROUP) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext |
loadContentTypeByIdentifier($identifier, $throwIfNotFound=true) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext | protected
removeContentType($contentType) | eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentTypeContext | protected

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.